Subject: RE: poll on draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.tx t

From: John Drake <[email-masked]>
Date: Fri, 23 Jul 2004 08:52:09 -0700

Dimitri,

This flag isn't needed.  Once a node selects the component link, it is that
link that is in the RRO.

Thanks,

John

> -----Original Message-----
> From: dimitri papadimitriou [mailto:[email-masked]]
> Sent: Friday, July 23, 2004 5:47 AM
> To: [email-masked]
> Subject: poll on draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt
> 
> All, there is one issue that is flagged in Section 7.1 in this draft
> 
> <http://www.ietf.org/internet-drafts/draft-dimitri-ccamp-gmpls-rsvp-te-
> bundled-links-00.txt>
> 
> as needing to poll from the working group to see whether to use Session_
> Attributes or LSP_Attributes to flag component link recording and close
> accordingly
> 
> "   If a node desires component link recording, the "Component Link
>     Recording desired" flag (value TBD) should be set in the
>     LSP_ATTRIBUTES object, object that is defined in [RSVP-TE-
>     ATTRIBUTE]. Another alternate is to use an available flag in the
>     SESSION_ATTRIBUTE object [RFC3209]. The later makes the component
>     link recording request similar to the label recording request."
> 
> thanks for the feedback,
> - dimitri

---

From: dimitri papadimitriou <[email-masked]>
Date: Fri, 23 Jul 2004 18:24:57 +0200

john, there is no default or recommended behaviour described in section 4.3 of 
the bundling i-d,

now, if one assumes that, by default, component recording (only) must be 
provided, there is no possibility to deliver the expected feature as the 
components selected on a link local basis would be unknown to the ingress,

also, there is more complex problem that even if you assume for instance an 
bundled link and record two subobjects of the form <router_id, interface_id> one 
for the bundle and one for the component there is an ordering rule that should 
be define to link the associated label subobject if present;

i hope it clarifies that 1) there is something to be addressed, 2) mechanism 
proposed is one possible way to address it 3) intend was to make the default 
behaviour of recording at the same level than ERO and trigger additional 
information using this flag (the equivalent of label recording btw)

thanks,
- dimitri.

John Drake wrote:
> .